BeaconBeacon Hurricane
getHurricanePrecipSwath
Returns precipitation swath data for hurricanes.
Returns detailed forecast precipitation swath data for specified storm, forecast time, and swath type, outlining location and precipitation intensity.
Query Parameters
initialTime*string
The forecast time in GMT timezone using format YYYMMDDHH (e.g. 2022060103) where HH is hour in increments of 3 (e.g. 00, 03, 06, etc) or keyword 'latest'.
Default
"latest"storm*string
Optional storm identifier - storm name, ATCFID, or 'Atlantic' (basin), or 'all'.
Default
"all"swath*string
Hurricane swath model.
Default
"Athenium"Value in
"Athenium" | "means"userKey*string
User authorization key.
Response Body
application/json
*/*
curl -X GET "https://beacon.atheniumanalytics.com/api/v3/beacon/hurricane/swath/precip?initialTime=latest&storm=all&swath=Athenium&userKey=string"{
"atcfid": "string",
"stormName": "string",
"stormBasin": "string",
"initialTime": "string",
"ensembleSys": "string",
"ensembleNumber": 0,
"geoFeatureCollection": {
"type": "string",
"features": [
{
"type": "string",
"properties": {
"property1": null,
"property2": null
},
"geometry": {
"type": "string",
"coordinates": [
null
]
}
}
]
}
}{}